//
//  LILocalizer.h
//  LIFramework : LILocalizer
//
//  Created by 2510 on Wed Oct 30 2002.
//  Copyright (c) 2002 by 2510. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "LIProtocol.h"

@interface LILocalizer : NSObject <NSCoding, LIObject>
{
	@private
		IBOutlet id			target;
		BOOL				autoResize;
	
	@protected
		int					bundleType;
		NSString			*bundleClassName;
		NSString			*table;
		
		NSBundle			*resourceBundle;
}
- (void)localize;

- (void)setBundleType:(int)aBundleType;
- (int)bundleType;
- (void)setBundleClassName:(NSString *)aClassName;
- (NSString *)bundleClassName;
- (void)setTable:(NSString *)aTable;
- (NSString *)table;

- (void)setAutoResize:(BOOL)flag;
- (BOOL)autoResize;
@end
